Bug 438569 - Dropdown menu delay on clock applets and somoetimes clock applet freezes.
Dropdown menu delay on clock applets and somoetimes clock applet freezes.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-21 23:23 EDT by sangu
Modified: 2009-07-14 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:16:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-03-21 23:23:31 EDT
Description of problem:
After updating evolution-data-server-2.22.0-2.fc9.i386 ->
Dropdown menu delay on clock applets and somoetimes clock applet freezes.

$gdb clock-applet 
(gdb) bt
#0  0x00131416 in __kernel_vsyscall ()
#1  0x06262085 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00561a03 in e_flag_wait (flag=0x9d31570) at e-flag.c:120
#3  0x0044cac7 in open_calendar (ecal=0x9d2b780, 
    only_if_exists=<value optimized out>, error=0xbfc63934, status=0xbfc638f8, 
    needs_auth=0) at e-cal.c:1735
#4  0x0044d0ca in e_cal_open (ecal=0x9d2b780, only_if_exists=1, 
    error=0xbfc63934) at e-cal.c:1772
#5  0x080747e4 in load_esource ()
#6  0x08074abe in calendar_sources_load_esource_list ()
#7  0x08074e4d in calendar_sources_load_sources ()
#8  0x08074f13 in calendar_sources_get_appointment_sources ()
#9  0x08070c2f in calendar_client_init ()
#10 0x00ec1663 in IA__g_type_create_instance (type=164755016) at gtype.c:1575
#11 0x00ea68a5 in g_object_constructor (type=164755016, 
    n_construct_properties=0, construct_params=0x0) at gobject.c:1046
#12 0x00ea70de in IA__g_object_newv (object_type=164755016, n_parameters=0, 
    parameters=0x0) at gobject.c:937
#13 0x00ea7ca7 in IA__g_object_new_valist (object_type=164755016, 
    first_property_name=0x0, var_args=0xbfc63d98 "�=ƿaf\005\b ��\tp��\t\001")
    at gobject.c:986
#14 0x00ea7e1e in IA__g_object_new (object_type=164755016, 
    first_property_name=0x0) at gobject.c:795
---Type <return> to continue, or q <return> to quit---
#15 0x080711be in calendar_client_new ()
#16 0x08056661 in calendar_window_pack_pim ()
#17 0x08056f69 in calendar_window_fill ()
#18 0x080570cc in calendar_window_constructor ()
#19 0x00ea70de in IA__g_object_newv (object_type=162894880, n_parameters=3, 
    parameters=0x9b68f40) at gobject.c:937
#20 0x00ea7cd2 in IA__g_object_new_valist (object_type=162894880, 
    first_property_name=0x807ab13 "current-time", var_args=0xbfc6405c "")
    at gobject.c:1027
#21 0x00ea7e1e in IA__g_object_new (object_type=162894880, 
    first_property_name=0x807ab13 "current-time") at gobject.c:795
#22 0x080579e6 in calendar_window_new ()
#23 0x080603c6 in create_calendar ()
#24 0x080612aa in update_calendar_popup ()
#25 0x080613c9 in toggle_calendar ()
#26 0x00eae8b4 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9c337e8, 
    return_value=0x0, n_param_values=1, param_values=0xbfc64338, 
    invocation_hint=0xbfc6426c, marshal_data=0x80613b8) at gmarshal.c:77
#27 0x00ea112b in IA__g_closure_invoke (closure=0x9c337e8, return_value=0x0, 
    n_param_values=1, param_values=0xbfc64338, invocation_hint=0xbfc6426c)
    at gclosure.c:490
#28 0x00eb5995 in signal_emit_unlocked_R (node=0x9ba4510, detail=0, 
    instance=0x9ba4e58, emission_return=0x0, instance_and_params=0xbfc64338)
---Type <return> to continue, or q <return> to quit---
    at gsignal.c:2440
#29 0x00eb6ece in IA__g_signal_emit_valist (instance=0x9ba4e58, signal_id=190, 
    detail=0, var_args=0xbfc6454c "N\231�") at gsignal.c:2199
#30 0x00eb7336 in IA__g_signal_emit (instance=0x9ba4e58, signal_id=190, 
    detail=0) at gsignal.c:2243
#31 0x00b6b3d5 in IA__gtk_toggle_button_toggled (toggle_button=0x9ba4e58)
    at gtktogglebutton.c:305
#32 0x00b6b770 in gtk_toggle_button_clicked (button=0x9ba4e58)
    at gtktogglebutton.c:438
#33 0x00eae8b4 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9b9fc00, 
    return_value=0x0, n_param_values=1, param_values=0xbfc64818, 
    invocation_hint=0xbfc6474c, marshal_data=0xb6b72a) at gmarshal.c:77
#34 0x00e9f8a9 in g_type_class_meta_marshal (closure=0x9b9fc00, 
    return_value=0x0, n_param_values=1, param_values=0xbfc64818, 
    invocation_hint=0xbfc6474c, marshal_data=0x1a8) at gclosure.c:567
#35 0x00ea112b in IA__g_closure_invoke (closure=0x9b9fc00, return_value=0x0, 
    n_param_values=1, param_values=0xbfc64818, invocation_hint=0xbfc6474c)
    at gclosure.c:490
#36 0x00eb51ee in signal_emit_unlocked_R (node=0x9b9fc28, detail=0, 
    instance=0x9ba4e58, emission_return=0x0, instance_and_params=0xbfc64818)
    at gsignal.c:2370
#37 0x00eb6ece in IA__g_signal_emit_valist (instance=0x9ba4e58, signal_id=186, 
    detail=0, var_args=0xbfc64a2c "|v�") at gsignal.c:2199
---Type <return> to continue, or q <return> to quit---
#38 0x00eb7336 in IA__g_signal_emit (instance=0x9ba4e58, signal_id=186, 
    detail=0) at gsignal.c:2243
#39 0x00964961 in IA__gtk_button_clicked (button=0x9ba4e58) at gtkbutton.c:889
#40 0x00b6b712 in gtk_toggle_button_released (button=0x9ba4e58)
    at gtktogglebutton.c:425
#41 0x00eae8b4 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9ba2fd8, 
    return_value=0x0, n_param_values=1, param_values=0xbfc64cd8, 
    invocation_hint=0xbfc64c0c, marshal_data=0xb6b6d8) at gmarshal.c:77
#42 0x00e9f8a9 in g_type_class_meta_marshal (closure=0x9ba2fd8, 
    return_value=0x0, n_param_values=1, param_values=0xbfc64cd8, 
    invocation_hint=0xbfc64c0c, marshal_data=0x1a4) at gclosure.c:567
#43 0x00ea112b in IA__g_closure_invoke (closure=0x9ba2fd8, return_value=0x0, 
    n_param_values=1, param_values=0xbfc64cd8, invocation_hint=0xbfc64c0c)
    at gclosure.c:490
#44 0x00eb51ee in signal_emit_unlocked_R (node=0x9ba3020, detail=0, 
    instance=0x9ba4e58, emission_return=0x0, instance_and_params=0xbfc64cd8)
    at gsignal.c:2370
#45 0x00eb6ece in IA__g_signal_emit_valist (instance=0x9ba4e58, signal_id=185, 
    detail=0, var_args=0xbfc64eec "�\233�") at gsignal.c:2199
#46 0x00eb7336 in IA__g_signal_emit (instance=0x9ba4e58, signal_id=185, 
    detail=0) at gsignal.c:2243
#47 0x009648ba in IA__gtk_button_released (button=0x9ba4e58) at gtkbutton.c:881
#48 0x00965bb2 in gtk_button_button_release (widget=0x9ba4e58, event=0x9b7b540)
---Type <return> to continue, or q <return> to quit---
    at gtkbutton.c:1377
#49 0x00a6b11a in _gtk_marshal_BOOLEAN__BOXED (closure=0x9b37b30, 
    return_value=0xbfc65110, n_param_values=2, param_values=0xbfc651c8, 
    invocation_hint=0xbfc650fc, marshal_data=0x965b90) at gtkmarshalers.c:84
#50 0x00e9f8a9 in g_type_class_meta_marshal (closure=0x9b37b30, 
    return_value=0xbfc65110, n_param_values=2, param_values=0xbfc651c8, 
    invocation_hint=0xbfc650fc, marshal_data=0xb4) at gclosure.c:567
#51 0x00ea112b in IA__g_closure_invoke (closure=0x9b37b30, 
    return_value=0xbfc65110, n_param_values=2, param_values=0xbfc651c8, 
    invocation_hint=0xbfc650fc) at gclosure.c:490
#52 0x00eb563d in signal_emit_unlocked_R (node=0x9b37df8, detail=0, 
    instance=0x9ba4e58, emission_return=0xbfc65388, 
    instance_and_params=0xbfc651c8) at gsignal.c:2478
#53 0x00eb6d58 in IA__g_signal_emit_valist (instance=0x9ba4e58, signal_id=45, 
    detail=0, var_args=0xbfc653e0 "�Sƿ\b") at gsignal.c:2209
#54 0x00eb7336 in IA__g_signal_emit (instance=0x9ba4e58, signal_id=45, 
    detail=0) at gsignal.c:2243
#55 0x00bdc91c in gtk_widget_event_internal (widget=0x9ba4e58, event=0x9b7b540)
    at gtkwidget.c:4678
#56 0x00bdc444 in IA__gtk_widget_event (widget=0x9ba4e58, event=0x9b7b540)
    at gtkwidget.c:4478
#57 0x00a696d7 in IA__gtk_propagate_event (widget=0x9ba4e58, event=0x9b7b540)
    at gtkmain.c:2336
---Type <return> to continue, or q <return> to quit---
#58 0x00a681c1 in IA__gtk_main_do_event (event=0x9b7b540) at gtkmain.c:1556
#59 0x00d59fac in gdk_event_dispatch (source=0x9b285d8, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2351
#60 0x00f18068 in IA__g_main_context_dispatch (context=0x9b28620)
    at gmain.c:2003
#61 0x00f1b713 in g_main_context_iterate (context=0x9b28620, block=1, 
    dispatch=1, self=0x9afb530) at gmain.c:2636
#62 0x00f1bc32 in IA__g_main_loop_run (loop=0x9b338c8) at gmain.c:2844
#63 0x00599b13 in bonobo_main () at bonobo-main.c:311
#64 0x00597cd9 in bonobo_generic_factory_main_timeout (
    act_iid=0x9b33718 ":0.0,OAFIID:GNOME_ClockApplet_Factory", 
    factory_cb=0x13b0ce <panel_applet_factory_callback>, user_data=0x9b33708, 
    quit_timeout=2000) at bonobo-generic-factory.c:411
#65 0x00597d63 in bonobo_generic_factory_main (
    act_iid=0x9b33718 ":0.0,OAFIID:GNOME_ClockApplet_Factory", 
    factory_cb=0x13b0ce <panel_applet_factory_callback>, user_data=0x9b33708)
    at bonobo-generic-factory.c:368
#66 0x0013b2e5 in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
#67 0x0013b3b3 in panel_applet_factory_main ()
   from /usr/lib/libpanel-applet-2.so.0
#68 0x080683e0 in main ()

Version-Release number of selected component (if applicable):
2.22.0-4.fc9.i386

How reproducible:


Steps to Reproduce:
1. click clock applet
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Goodman 2008-04-26 00:28:28 EDT
I can confirm. 

Clock was freezing when accessing calendar on click. Evolution is not my default
mail reader so I rarely use it accept for the calendar via the clock applet;
however, I started evolution and it prompted my about accessing keyring.  I
selected 'Always allow' and then quit out of evolution.   I then killed all
evolution processes and also killed the clock-applet.   Gnome reloaded the
clock-applet and the 'freeze' no longer happens.   
Comment 2 Bug Zapper 2008-05-14 02:47:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 eric@christensenplace.us 2008-07-09 06:41:20 EDT
I'm having the same problem on my system.  When I click the clock it turns grey,
like a depressed button, and then just stops.  Nothing happens.  The clock will
then go away.
Comment 4 Thomas J. Baker 2008-07-28 14:20:23 EDT
I've been having this problem on all my systems running F9. Most of the time,
clicking the clock applet will cause it to freeze. I can provide any debugging
information needed.
Comment 5 Thomas J. Baker 2008-07-28 15:07:41 EDT
Looks like my bug may be this bug: 

https://bugzilla.redhat.com/show_bug.cgi?id=454926
Comment 6 Bug Zapper 2009-06-09 19:49:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:16:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.